> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# list-actions

> List actions — the operations the workspace can run against connected apps (e.g. list-orders, create-contact). Useful to understand what live operations could back a dashboard.



## OpenAPI

````yaml /api-reference/membrane-api.json get /actions
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /actions:
    get:
      summary: list-actions
      description: >-
        List actions — the operations the workspace can run against connected
        apps (e.g. list-orders, create-contact). Useful to understand what live
        operations could back a dashboard.
      operationId: listActions
      parameters:
        - name: layer
          in: query
          required: false
          schema:
            type: string
            enum:
              - universal
              - integration
              - connection
        - name: integrationKey
          in: query
          required: false
          schema:
            type: string
        - name: integrationId
          in: query
          required: false
          schema:
            type: string
        - name: connectionId
          in: query
          required: false
          schema:
            type: string
        - name: connectionKey
          in: query
          required: false
          schema:
            type: string
        - name: instanceKey
          in: query
          required: false
          schema:
            type: string
        - name: search
          in: query
          required: false
          schema:
            description: Text search query to filter results
            type: string
        - name: limit
          in: query
          required: false
          schema:
            description: Maximum number of items to return (1-1000)
            type: integer
            minimum: 1
            maximum: 1000
        - name: cursor
          in: query
          required: false
          schema:
            description: Pagination cursor from a previous response
            type: string
        - name: includeArchived
          in: query
          required: false
          schema:
            type: boolean
        - name: parentId
          in: query
          required: false
          schema:
            type: string
        - name: universalParentId
          in: query
          required: false
          schema:
            type: string
        - name: tenantId
          in: query
          required: false
          schema:
            type: string
        - name: userId
          in: query
          required: false
          schema:
            type: string
        - name: isUniversal
          in: query
          required: false
          schema:
            type: boolean
        - name: externalAppId
          in: query
          required: false
          schema:
            type: string
        - name: intent
          in: query
          required: false
          schema:
            type: string
            maxLength: 200
      responses:
        '200':
          description: >-
            List actions — the operations the workspace can run against
            connected apps (e.g. list-orders, create-contact). Useful to
            understand what live operations could back a dashboard.
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties: {}
                      additionalProperties: {}
                  cursor:
                    type: string
                required:
                  - items
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````